<?php
	function getAsteriskUsers($filter) {
		return xmlCall("asterisk.get_users", array($filter));
	}

    function getAsteriskGroups($filter) {
		return xmlCall("asterisk.get_groups", array($filter));
	}

    function getAsteriskGroup($groupName) {
		return xmlCall("asterisk.get_group", array($groupName));
	}

	function hasObjectClass($uid) {
		return xmlCall("asterisk.has_object_class", $uid);
	}

	function addObjectClass($uid) {
		xmlCall("asterisk.add_object_class", $uid);
	}

	function delObjectClass($uid) {
		xmlCall("asterisk.del_object_class", $uid);
	}

	function getPhoneNumber($uid) {
		return xmlCall("asterisk.get_phone_number", $uid);
	}

	function updatePhoneNumber($uid, $phone_number) {
		xmlCall("asterisk.update_phone_number", array($uid, $phone_number));
	}

	function updatePhonePassword($uid, $password) {
		xmlCall("asterisk.update_phone_password", array($uid, $password));
	}

	function hasVoicemail($uid) {
	    return xmlCall("asterisk.has_voicemail", $uid);
	}

	function getVoicemailAttributes($uid) {
		return xmlCall("asterisk.get_voicemail_attributes", $uid);
	}

	function updateVoicemail($uid, $phone_number, $voicemail, $password) {
	    xmlCall("asterisk.update_voicemail", array($uid, $phone_number, $voicemail, $password));
	}

	function getVoicemailPhoneNumber() {
		return xmlCall("asterisk.get_voicemail_phone_number");
	}

	// This is the phone number which will be called by all users to listen their voicemails
	function updateVoicemailPhoneNumber($phone_number) {
		xmlCall("asterisk.update_voicemail_phone_number", $phone_number);
	}

	function updateGroup($name, $old_phone_number, $phone_number, $list_users) {
		xmlCall("asterisk.update_group", array($name, $old_phone_number, $phone_number, $list_users));
	}

	function getSIPConfig() {
		return xmlCall("asterisk.get_sip_config");
	}

	function updateSIPConfig($sip_config) {
		xmlCall("asterisk.update_sip_config", $sip_config);
	}

	function getDialplanConfig() {
		return xmlCall("asterisk.get_dialplan_config");
	}

	function updateDialplanConfig($dialplan_config) {
		xmlCall("asterisk.update_dialplan_config", $dialplan_config);
	}
?>
