<?php
    require_once("modules/asterisk/includes/asterisk-xmlrpc.php");

    $mod = new Module("asterisk");
    $mod->setVersion("0.0.1");
    $mod->setDescription(_T("Asterisk service"), "asterisk");
    $mod->setAPIVersion("0.0.2");

    $submod = new SubModule("default", _T("Asterisk", "asterisk"));
    $submod->setDefaultPage("asterisk/default/index");
    $submod->setImg('modules/asterisk/graph/navbar/asterisk');
    $submod->setPriority(100);

    $page = new Page("index", _T("Users directory", "asterisk"));
    $submod->addPage($page);

    $page = new Page("ajaxFilterUsers", _T("Users directory", "asterisk"));
    $page->setFile("modules/asterisk/default/ajaxFilterUsers.php",
                   array("AJAX" =>True, "visible"=>False));
    $submod->addPage($page);

    $page = new Page("edit", _T("Edit user", "asterisk"));
    $submod->addPage($page);

    $page = new Page("voicemailPhoneNumber", _T("Voicemail phone number", "asterisk"));
    $submod->addPage($page);

    $page = new Page("callerGroups", _T("Caller groups", "asterisk"));
    $submod->addPage($page);

    $page = new Page("ajaxFilterGroups", _T("Caller groups", "asterisk"));
    $page->setFile("modules/asterisk/default/ajaxFilterGroups.php",
                   array("AJAX" =>True, "visible"=>False));
    $submod->addPage($page);

    $page = new Page("editCallerGroup", _T("Edit caller group", "asterisk"));
    $submod->addPage($page);

    $page = new Page("addCallerGroup", _T("Add caller group", "asterisk"));
    $page->setFile("modules/asterisk/default/editCallerGroup.php");
    $submod->addPage($page);

    $page = new Page("deleteCallerGroup", _T("Delete caller group", "asterisk"));
    $submod->addPage($page);

    $page = new Page("trunkSip", _T("Trunk SIP configuration", "asterisk"));
    $page->setFile("modules/asterisk/default/trunkSip.php");
    $submod->addPage($page);

    $mod->addSubmod($submod);

    $MMCApp =& MMCApp::getInstance();
    $MMCApp->addModule($mod);
?>
