<?php
/**
 * (c) 2015 Mandriva, http://www.mandriva.com
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

global $conf;
if(isset($_REQUEST['maxperpage'])) {
    $maxperpage = $_REQUEST['maxperpage'];
} else {
    $maxperpage = $conf["global"]["maxperpage"];
}
$filter = isset($_GET["filter"]) ? $_GET["filter"] : "";

$groups = getAsteriskGroups($filter);
$groupcount = count($groups);

$arrGroup = array();
$arrPhoneNumber = array();
$arrGroupUsers = array();

foreach ($groups as $group) {
    $arrGroup[] = $group[0];
    $arrPhoneNumber[] = $group[1];
    $arrGroupUsers[] = implode(', ', $group[2]);
}

$n = new OptimizedListInfos($arrGroup, _T("Group", "asterisk"));
$n->setTableHeaderPadding(0);
$n->setItemCount($groupcount);
$n->setNavBar(new AjaxPaginator($groupcount, $filter, "updateSearchParam", $maxperpage));

$n->start = 0;
$n->end = $groupcount - 1;

$n->addExtraInfo($arrPhoneNumber, _T("Phone number", "asterisk"));
$n->addExtraInfo($arrGroupUsers, _T("Users", "asterisk"));

$n->addActionItem(new ActionItem(_("Edit"), "editCallerGroup", "edit", "group"));
$n->addActionItem(new ActionItem(_("Delete"), "deleteCallerGroup", "delete", "group"));

$n->display();

?>
