<?php
/**
 * (c) 2015 Mandriva, http://www.mandriva.com
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

global $conf;
if(isset($_REQUEST['maxperpage'])) {
    $maxperpage = $_REQUEST['maxperpage'];
} else {
    $maxperpage = $conf["global"]["maxperpage"];
}
$filter = isset($_GET["filter"]) ? $_GET["filter"] : "";

list($usercount, $users) = getAsteriskUsers($filter);

$arrUser = array();
$arrSnUser = array();
$arrPhone = array();

for ($idx = 0; $idx < $usercount; $idx++) {
    $arrUser[] = $users[$idx]['uid'];
    $arrSnUser[] = $users[$idx]['givenName'].' '.$users[$idx]['sn'];;
    $arrPhone[] = getPhoneNumber( $users[$idx]['uid']);
}

// $arrUser is the list of all Users
$n = new OptimizedListInfos($arrUser, _T("Login", "asterisk"));
$n->setTableHeaderPadding(0);
$n->setItemCount($usercount);
$n->setNavBar(new AjaxPaginator($usercount, $filter, "updateSearchParam",  $maxperpage));

$n->start = 0;
$n->end = $usercount - 1;

$n->addExtraInfo($arrSnUser, _T("Name", "asterisl"));
$n->addExtraInfo($arrPhone, _T("Phone number", "asterisk"));

$n->addActionItem(new ActionItem(_("Edit"), "edit", "edit", "user"));

$n->setName(_("Users"));
$n->display();

?>
