<?php
  require("localSidebar.php");

  require("graph/navbar.inc.php");

  if(isset($_POST['sip_change']))
  {
      $sip_config = "";

      if(isset($_POST['sip_config']))
          $sip_config = $_POST['sip_config'];

      updateSIPConfig($sip_config);

      $n = new NotifyWidgetSuccess(_T("SIP configuration updated.", "asterisk"));
      handleServicesModule($n, array("asterisk" => "Asterisk"));

      redirectTo(urlStrRedirect("asterisk/default/index"));
  }

  if(isset($_POST['dialplan_change']))
  {
      $dialplan_config = "";

      if(isset($_POST['dialplan_config']))
          $dialplan_config = $_POST['dialplan_config'];

      updateDialplanConfig($dialplan_config);

      $n = new NotifyWidgetSuccess(_T("Dialplan configuration updated.", "asterisk"));
      handleServicesModule($n, array("asterisk" => "Asterisk"));

      redirectTo(urlStrRedirect("asterisk/default/index"));
  }

  $p = new PageGenerator(_T("SIP configuration", "asterisk"));
  $p->setSideMenu($sidemenu);
  $p->display();

  $f = new ValidatingForm();

  $f->push(new Table());

  $sip_config = getSIPConfig();

  $sip_config_field = new TextAreaTpl("sip_config");
  $sip_config_field->setRows(substr_count($sip_config, "\n"));

  $f->add(
      new TrFormElement(_T("SIP Configuration", "asterisk"), $sip_config_field),
      array("value" => $sip_config)
  );

  $f->addValidateButton("sip_change");
  $f->display();

  print '<br>';

  $t = new TitleElement(_T("Dialplan configuration", "asterisk"), 2);
  $t->display();

  $f = new ValidatingForm();
  $f->push(new Table());

  $dialplan_config = getDialplanConfig();

  $dialplan_config_field = new TextAreaTpl("dialplan_config");
  $dialplan_config_field->setRows(substr_count($dialplan_config, "\n"));

  $f->add(
      new TrFormElement(_T("Dialplan configuration", "asterisk"), $dialplan_config_field),
      array("value" => $dialplan_config)
  );

  $f->addValidateButton("dialplan_change");
  $f->display();

?>
